Changes between Version 14 and Version 15 of Prerequisites

Show
Ignore:
Timestamp:
04/21/11 15:12:00 (8 years ago)
Author:
ibaldin (IP: 152.54.9.21)
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Prerequisites

    v14 v15  
    7676 
    7777If there are issues with your build system, you can retrieve a working software set from ''''' svn co !https://geni-orca.renci.org/svn/software'''''. Running '''''tar xvfz [filename]''''' will extract the software needed. If necessary modify the first line of the ''environment'' file to reflect your path to the ''software'' directory, and source the ''environment'' file. 
     78 
     79== Platform-specific notes == 
     80 
     81Majority of ORCA development actually happens on a Mac, while the deployment is done on Linux (Debian/Ubuntu or CentOS) machines. Here is a collection of notes related to various environments. 
     82 
     83=== Mac OS X === 
     84 
     85 * Periodic automated updates of Mac OS X update the JDK, Maven and Ant tools, so it is not unusual to be unable to build ORCA after a new update has been installed. Check the versions of the available tools (JDK, Ant, Maven) and the maven-ant-tasks (which get removed after each update if you are using system-wide ant).